commit:     651818d1733077e90f177ec391afe3b653a16a09
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 22 09:04:22 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 22 09:12:28 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=651818d1

dev-python/txAMQP: Allow merged dev-python/twisted, #614166

 dev-python/txAMQP/txAMQP-0.7.0.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/dev-python/txAMQP/txAMQP-0.7.0.ebuild 
b/dev-python/txAMQP/txAMQP-0.7.0.ebuild
index f93060b1727..7220086d7f0 100644
--- a/dev-python/txAMQP/txAMQP-0.7.0.ebuild
+++ b/dev-python/txAMQP/txAMQP-0.7.0.ebuild
@@ -17,7 +17,13 @@ KEYWORDS="~amd64 ~x86 ~x64-solaris"
 SLOT="0"
 IUSE="test"
 
-RDEPEND="dev-python/twisted-core[${PYTHON_USEDEP}]"
+# TODO: split twisted-core gives minor test failure, get rid of it
+# when we port revdeps
+RDEPEND="
+       || (
+               dev-python/twisted[${PYTHON_USEDEP}]
+               dev-python/twisted-core[${PYTHON_USEDEP}]
+       )"
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
        test? (
                ${RDEPEND}

Reply via email to